<< parzenwin | FOSSEE_Signal_Processing_Toolbox | pchip >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > pburg

# pburg

Calculate Burg maximum-entropy power spectral density.

### Syntax

    [psd, f_out] = pburg(x, poles, freq, Fs, range, method, plot_type, criterion)

### Parameters

x:

  Sampled data (vector).

poles:

  Required number of poles of the AR model (integer scalar).

freq:

  Frequencies at which power spectral density is calculated (real vector or integer scalar). Default is 256.

Fs:

  Sampling frequency in Hertz (real scalar). Default is 1.

range:

  Frequency range of the spectrum ('half', 'onesided', 'whole', 'twosided', 'shift', or 'centerdc').

method:

  Method to calculate power spectral density ('fft' or 'poly'). Default is 'poly'.

plot_type:

  Type of plot ('plot', 'semilogx', 'semilogy', 'loglog', 'squared', or 'db'). Default is 'plot'.

criterion:

  Model-selection criterion ('AKICc', 'KIC', 'AICc', 'AIC', or 'FPE'). Optional.

### Description

The `pburg` function calculates the power spectral density (PSD) of a signal using the Burg method. It is a wrapper for `arburg` and `ar_psd`. The function supports various options for frequency range, computation method, and plotting.

### Examples

    x = [1.0, -1.6216505, 1.1102795, -0.4621741, 0.2075552, -0.018756746]
    [psd, f_out] = pburg(x, 2)

Report an issue
<< parzenwin | FOSSEE_Signal_Processing_Toolbox | pchip >>